function getcolumns(setdrawer) {
  return [
    { title: '产线代码', dataIndex: 'productionLineCode', key: 'productionLineCode' },
    {
      title: '产线名称',
      dataIndex: 'productionLineName',
      key: 'productionLineName',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
    },
    {
      title: '所属工厂',
      dataIndex: 'factoryName',
      key: 'factoryId',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      valueType: 'select',
      options: { path: '/auth/sysFactory/getAllFactorySelection', params: {} },
    },
    {
      title: '所属车间',
      dataIndex: 'shopName',
      key: 'shopName',
      formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      valueType: 'select',
      options: { path: '/auth/sysShop/getShopSelectionByFactory', params: {} },
    },
  ];
}

export default getcolumns;
